<?php

  // General settings

  if( ! defined( 'IN_PLAYLIST'))
  {
    die( 'not supposed to be here ...');
  }

  // general stuff

  $bh_ignore_json           = true; // PHP on debug machine has json ... server has it not ... hmmm

  // *****************************************************************************************
  date_default_timezone_set( 'UTC');                                     // Fix time oddities.
  // *****************************************************************************************

  // playlist stuff

  if( ! isset( $on_host))
    $on_host = true;

  if( $on_host)
  {
    $bh_data_dir            = "/home/janpunter/web_secrets/";                             // Path to non public data.
    $bh_playlists_dir       = '/home/mosc/elec/radio/sc_trans.d/play_lists';              // no trailing /
    $bh_cache_fn            = '/home/mosc/elec/radio/sc_trans.d/playlist.cache';          // Full cache file name.
    $bh_motd_cache_fn       = '/home/mosc/elec/radio/sc_trans.d/motd.cache';              // Full cache file name for motd stuff
    $bh_feed_nm             = '/home/janpunter/playlist_stuff/playlist_feed.php';         // Name for the playlist feed
  }
  else
  {
    $bh_data_dir            = "d:/_webroot/_tests/playlist_generator/web_secrets/";       // Path to non public data.
    $bh_playlists_dir       = 'd:/_webroot/_tests/playlist_generator/playlists';          // no trailing /
    $bh_cache_fn            = $bh_data_dir . 'playlist.cache';                            // Full cache file name.
    $bh_motd_cache_fn       = $bh_data_dir . 'motd.cache';                                // Full cache file name for motd stuff
    $bh_feed_nm             = 'd:/_webroot/_tests/playlist_generator/playlist_feed.php';  // Name for the playlist feed
  }

  $bh_schedule_file         = $bh_data_dir . 'playlist_schedule.txt';
  $bh_playlist_data_fn      = $bh_data_dir . 'playlist_pointers.txt';   // filename for playlist pointers
  $bh_last_list_fn          = $bh_data_dir . 'playlist_last.txt';       // filename for file rememebering the last active list
  $bh_max_playlsit_entries  = 512;                                      // Maximum number of entries in the playlist schedule system
  $bh_main_port             = '8050';                                   // Aliasses for the ports
  $bh_test_port             = '8054';                                   // Aliasses for the ports
  $bh_open_port             = '8056';                                   // to tune into when live

  // //////////////////////////////////////////////////////////////////////////
  //
  // Some pseudo constants

  $bh_secondsInMinute = 60;
  $bh_secondsInHour   = 60 * $bh_secondsInMinute;
  $bh_secondsInDay    = 24 * $bh_secondsInHour;
  $bh_secondsInWeek   =  7 * $bh_secondsInDay;


?>
